Subject: Re: bug#52085: 29.0.50; Frame occasionally fails to paint while screen sharing on macOS

From: Rudolf Adamkovič <[email-masked]>
Date: Wed, 08 Dec 2021 11:21:27 +0100

Aaron Jensen <[email-masked]> writes:

> On Sat, Dec 4, 2021 at 5:48 AM Alan Third <[email-masked]> wrote:
>>
>> On Fri, Dec 03, 2021 at 12:14:10AM -0500, Aaron Jensen wrote:
>> > On Thu, Dec 2, 2021 at 5:22 PM Alan Third <[email-masked]> wrote:
>> > >
>> > > Probably the first thing you could do is check that [EmacsLayer
>> > > display] is being called at the right time.
>> > >
>> > > But I can't really think of any particular reason for this to happen.
>> >
>> > How do I enable and observe NSTRACE?
>>
>> Uncomment the line at nsterm.h:65, and probably the one at line 78
>> too, which refers to NSTRACE_GROUP_FOCUS.
>>
>> It logs to the terminal or to the system logs.
>
> Hmm, I see logging but typically every keypress is met with:
>
> nsterm.m  : 6100: [11784]  [EmacsView keyDown:]
> nsterm.m  : 6393: [11785]  | [EmacsView hasMarkedText]
> nsterm.m  : 6284: [11786]  | [EmacsView insertText:]
>
>
> I see some [EmacsLayer display] but very few. I'm not sure how to
> trigger them. Is that what is expected?
>
> I have a fairly hard time reproducing this whole thing so even though
> I'm screensharing right now and running a test build...
>
> Rudolf, if you can reproduce it consistently could you try the
> building with that logging enabled?

I found that the bug I experience applies to all software, not just Emacs.  Thus, disregard all my words above.  I apologize for chiming in without doing any basic investigation.

(For the sake of completeness, I also found that the screen "falls apart" only when I share a screen different than the one Firefox/Jitsi exist on.)

Rudy
-- 
"Logic is a science of the necessary laws of thought, without which no employment of the understanding and the reason takes place." -- Immanuel Kant, 1785

Rudolf Adamkovič <[email-masked]> [he/him]
Studenohorská 25
84103 Bratislava
Slovakia